<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS -->
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous"
    />
    <style></style>
  </head>
  <body>
    <div class="container bg-light mt-5" style="max-width: 500px">
      <h1 class="text-center">Giải phương trình bậc hai</h1>
      <div class="row mt-3">
        <label for="" class="col-sm-4">Số a</label>
        <input id="soA" type="text" class="form-control col-sm-8" />
      </div>
      <div class="row mt-3">
        <label for="" class="col-sm-4">Số b</label>
        <input id="soB" type="text" class="form-control col-sm-8" />
      </div>
      <div class="row mt-3">
        <label for="" class="col-sm-4">Số c</label>
        <input id="soC" type="text" class="form-control col-sm-8" />
      </div>
      <div class="row mt-3">
        <button class="col-sm-12 btn btn-success" onclick="giaiPTB2()">
          Tìm nghiệm
        </button>
        <p class="col-sm-12" id="nghiem_cua_pt" style="display: none"></p>
      </div>
    </div>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script
      src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
      integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
      integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
      integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
      crossorigin="anonymous"
    ></script>
  </body>
  <script>
    var text1 = document.getElementById("soA");
    var text2 = document.getElementById("soB");
    var text3 = document.getElementById("soC");

    var Innghiem = document.getElementById("nghiem_cua_pt");
    Innghiem.style.display = "block";
    function loadPage() {
      console.log(text1.id);
      console.log(text2.id);
      console.log(text3.id);
      console.log(text1.placeholder);
      console.log(text2.placeholder);
      console.log(text3.placeholder);
    }
    function giaiPTB2() {
      console.log("tìm nghiệm của pt bậc 2");

      var a = text1.value;
      var b = text2.value;
      var c = text3.value;
      var delta = b * b - 4 * a * c;
      if (delta > 0) {
        var x1 = (-b + Math.sqrt(delta)) / (2 * a);
        var x2 = (-b - Math.sqrt(delta)) / (2 * a);

        var text =
          "Nghiệm thứ nhất của phương trình x1= " +
          x1 +
          "<br/>" +
          "Nghiệm thứ hai của phương trình x2= " +
          x2;
        Innghiem.innerHTML = text.fontcolor("#33CC00");
      } else if (delta == 0) {
        var x = -b / (2 * a);
        var text = "Phương Trình có nghiệm kép x= " + x;
        Innghiem.innerHTML = text.fontcolor("#0099FF");
      } else {
        Innghiem.innerHTML = "Phương trình vô nghiệm".fontcolor("#BB0000");
      }
    }
  </script>
</html>
